function [sol] = Newton(f, df, x0, tol, maxIter) 
x_in = x0; 
x_new = x_in - f(x_in)/df(x_in); % trovo una stima basata su x_0
iter = 2; 
while(abs(x_new - x_in) >= tol && iter <= maxIter ) % controlli su iterazioni e distanza tra due soluzioni successive
 x_in = x_new; 
 x_new = x_in - f(x_in)/df(x_in); 
 iter = iter+1; 
end 
sol = x_new;